package com.chinaitop.depot.intelligent.grainsituation.model;

import java.util.Date;

public class TCcdata {
    private String id;

    private String orgId;

    private String vCcCode;

    private String vHwCode;

    private String standOr;

    private Date standTime;

    private Integer iTdh;

    private Integer iValue;

    private Date vUpdateTime;

    private String vUpdatePeople;

    private String dataSource;

    private String vRemark;

    private Date updatetime;

    private String jchcff;

    private String hczl;

    private String cldjpd;

    private String hckyxfx;

    private byte[] cImage;

    /**
     * 测虫数据id
     * @return id 测虫数据id
     */
    public String getId() {
        return id;
    }

    /**
     * 测虫数据id
     * @param id 测虫数据id
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     *
     * @return org_id
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     *
     * @param orgId
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 测虫code
     * @return v_cc_code 测虫code
     */
    public String getvCcCode() {
        return vCcCode;
    }

    /**
     * 测虫code
     * @param vCcCode 测虫code
     */
    public void setvCcCode(String vCcCode) {
        this.vCcCode = vCcCode == null ? null : vCcCode.trim();
    }

    /**
     * 货位id
     * @return v_hw_code 货位id
     */
    public String getvHwCode() {
        return vHwCode;
    }

    /**
     * 货位id
     * @param vHwCode 货位id
     */
    public void setvHwCode(String vHwCode) {
        this.vHwCode = vHwCode == null ? null : vHwCode.trim();
    }

    /**
     * 扦养人
     * @return stand_or 扦养人
     */
    public String getStandOr() {
        return standOr;
    }

    /**
     * 扦养人
     * @param standOr 扦养人
     */
    public void setStandOr(String standOr) {
        this.standOr = standOr == null ? null : standOr.trim();
    }

    /**
     * 扦养时间
     * @return stand_time 扦养时间
     */
    public Date getStandTime() {
        return standTime;
    }

    /**
     * 扦养时间
     * @param standTime 扦养时间
     */
    public void setStandTime(Date standTime) {
        this.standTime = standTime;
    }

    /**
     * 当前通道号
     * @return i_tdh 当前通道号
     */
    public Integer getiTdh() {
        return iTdh;
    }

    /**
     * 当前通道号
     * @param iTdh 当前通道号
     */
    public void setiTdh(Integer iTdh) {
        this.iTdh = iTdh;
    }

    /**
     * 当前值
     * @return i_value 当前值
     */
    public Integer getiValue() {
        return iValue;
    }

    /**
     * 当前值
     * @param iValue 当前值
     */
    public void setiValue(Integer iValue) {
        this.iValue = iValue;
    }

    /**
     * 采集时间
     * @return v_update_time 采集时间
     */
    public Date getvUpdateTime() {
        return vUpdateTime;
    }

    /**
     * 采集时间
     * @param vUpdateTime 采集时间
     */
    public void setvUpdateTime(Date vUpdateTime) {
        this.vUpdateTime = vUpdateTime;
    }

    /**
     * 检测人
     * @return v_update_people 检测人
     */
    public String getvUpdatePeople() {
        return vUpdatePeople;
    }

    /**
     * 检测人
     * @param vUpdatePeople 检测人
     */
    public void setvUpdatePeople(String vUpdatePeople) {
        this.vUpdatePeople = vUpdatePeople == null ? null : vUpdatePeople.trim();
    }

    /**
     * 数据来源
     * @return data_source 数据来源
     */
    public String getDataSource() {
        return dataSource;
    }

    /**
     * 数据来源
     * @param dataSource 数据来源
     */
    public void setDataSource(String dataSource) {
        this.dataSource = dataSource == null ? null : dataSource.trim();
    }

    /**
     * 描述
     * @return v_remark 描述
     */
    public String getvRemark() {
        return vRemark;
    }

    /**
     * 描述
     * @param vRemark 描述
     */
    public void setvRemark(String vRemark) {
        this.vRemark = vRemark == null ? null : vRemark.trim();
    }

    /**
     *
     * @return updatetime
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     *
     * @param updatetime
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    /**
     * 检查害虫方法
     * @return jchcff 检查害虫方法
     */
    public String getJchcff() {
        return jchcff;
    }

    /**
     * 检查害虫方法
     * @param jchcff 检查害虫方法
     */
    public void setJchcff(String jchcff) {
        this.jchcff = jchcff == null ? null : jchcff.trim();
    }

    /**
     * 害虫种类
     * @return hczl 害虫种类
     */
    public String getHczl() {
        return hczl;
    }

    /**
     * 害虫种类
     * @param hczl 害虫种类
     */
    public void setHczl(String hczl) {
        this.hczl = hczl == null ? null : hczl.trim();
    }

    /**
     * 虫粮等级判定
     * @return cldjpd 虫粮等级判定
     */
    public String getCldjpd() {
        return cldjpd;
    }

    /**
     * 虫粮等级判定
     * @param cldjpd 虫粮等级判定
     */
    public void setCldjpd(String cldjpd) {
        this.cldjpd = cldjpd == null ? null : cldjpd.trim();
    }

    /**
     * 害虫抗药性分析
     * @return hckyxfx 害虫抗药性分析
     */
    public String getHckyxfx() {
        return hckyxfx;
    }

    /**
     * 害虫抗药性分析
     * @param hckyxfx 害虫抗药性分析
     */
    public void setHckyxfx(String hckyxfx) {
        this.hckyxfx = hckyxfx == null ? null : hckyxfx.trim();
    }

    /**
     * 采集图片（可能有）
     * @return c_image 采集图片（可能有）
     */
    public byte[] getcImage() {
        return cImage;
    }

    /**
     * 采集图片（可能有）
     * @param cImage 采集图片（可能有）
     */
    public void setcImage(byte[] cImage) {
        this.cImage = cImage;
    }
}